Package org.apache.commons.math3.optimization.univariate

# Class UnivariatePointValuePair

java.lang.Object
org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair

All Implemented Interfaces:
  `Serializable`

@Deprecated public class UnivariatePointValuePair extends Object implements Serializable
Deprecated.
As of 3.1 (to be removed in 4.0).
This class holds a point and the value of an objective function at this point. This is a simple immutable container.

Since:
  3.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnivariatePointValuePair(double point, double value)`
Deprecated.
Build a point/objective function value pair.

## Method Summary

Modifier and Type
Method
Description
`double`
`getPoint()`
Deprecated.
Get the point.
`double`
`getValue()`
Deprecated.
Get the value of the objective function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnivariatePointValuePair

public UnivariatePointValuePair(double point, double value)
Deprecated.
Build a point/objective function value pair.

Parameters:
  `point` - Point.
  `value` - Value of an objective function at the point

## Method Details

### getPoint

public double getPoint()
Deprecated.
Get the point.

Returns:
  the point.

### getValue

public double getValue()
Deprecated.
Get the value of the objective function.

Returns:
  the stored value of the objective function.